You are not logged in.

#1 2006-03-27 17:15:55

briancurtin
Member
From: Chicago, IL
Registered: 2006-02-11
Posts: 132
Website

totem problems: wont even start

im having a problem even starting totem up. i click on totem directly, or a file that would normally open up in totem, and nothing happens. when opened in the console, i get this message and then it ends:

totem: error while loading shared libraries: libtotem-plparser.so.0: cannot open shared object file: No such file or directory

i am running totem-1.2.1-2 by the way. any ideas?

Offline

#2 2006-03-27 21:22:46

Gullible Jones
Member
Registered: 2004-12-29
Posts: 4,863

Re: totem problems: wont even start

Do 'pacman -S totem-plparser'.

Offline

#3 2006-03-28 20:02:51

briancurtin
Member
From: Chicago, IL
Registered: 2006-02-11
Posts: 132
Website

Re: totem problems: wont even start

i had version 1.4 of plparser, so i got the correct one with my version of totem, and now im getting this error:
totem: error while loading shared libraries: libdbus-glib-1.so.1: cannot open shared object file: No such file or directory

sorry for keeping these probably basic questions coming, ive just never had problems with totem before and im not sure where to go. searching didnt turn up anything for this problem really

Offline

#4 2006-03-28 20:29:19

Gullible Jones
Member
Registered: 2004-12-29
Posts: 4,863

Re: totem problems: wont even start

Huh. You didn't by any chance accidentally delete some of your installed libraries at any point did you?

Offline

#5 2006-03-28 20:48:41

briancurtin
Member
From: Chicago, IL
Registered: 2006-02-11
Posts: 132
Website

Re: totem problems: wont even start

nope, havent deleted anything.

it was all fine and well on gnome 2.12, then i messed a bunch of stuff up and reinstalled from scratch with gnome 2.14 from testing and havent gotten anything to work. rhythmbox complains too. i think im going back to gnome 2.12

edit: im just reinstalling all of this crap again from scratch. now its all dependency hell with changing all sorts of stuff around. i dont see why it wouldnt work on 2.12 again, thats the only thing i have changed since my last installation where it worked perfectly.

Offline

#6 2006-03-28 22:53:37

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,835

Re: totem problems: wont even start

If you got gnome from testing, you would have got a lot of other testing apps as well, including dbus 0.61, which provides libdbus-glib-1.so.2. totem 1.2.1 is built against an earlier dbus, which provides libdbus-glib-1.so.1. If you want to  maintain a testing installation, you need totem 1.4.0 - and you might as well get rhythmbox 0.9.3.1 while you're at it. If you're downgrading to current/extra, you need to remove the testing repo from pacman.conf and do

pacman -Syu

You'll get a bunch of "appears to be newer than" messages, one for each package installed from testing. Cancel the upgrade and note the names of the affected packages. Then do

pacman -S --noconfirm <list_of_packages>

and testing will be gone from your system.

Offline

#7 2006-03-29 03:32:36

briancurtin
Member
From: Chicago, IL
Registered: 2006-02-11
Posts: 132
Website

Re: totem problems: wont even start

ahh i didnt know about that "--noconfirm" flag. i had to remove something related to python in order to let gedit go, and im on my way back to gnome 2.12. thanks for that tip

Offline

#8 2006-03-29 06:58:53

tomk
Forum Fellow
From: Ireland
Registered: 2004-07-21
Posts: 9,835

Re: totem problems: wont even start

Well, it's optional, of course, but in this situation it saves you individually confirming the install of each package, as you already know you want them.

Offline

Board footer

Powered by FluxBB